can't create issue relation by rest API

2018-10-16 11:43 - jiamin wu

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 3.2.0

Description

Hello everyone,

I tried to create issue relation via the REST API by Powershell.

It always returned same error "422 Unprocessable Entity"

What am I doing wrong?

Here is the software version

*Redmine 3.2

*Powershell 2.0(for programming)

*MySql

 Here is my code.

try{

    $httpWebRequest = [System.Net.HttpWebRequest]::Create("http://abcdef/redmine/issues/1234/relat

ions.xml?key=1fa2s1f21df5ef2a1dfas")

    $httpWebRequest.Method = "POST" 

    $httpWebRequest.ContentType = "application/xml" 

    $xmlStr = "<?xml version=""1.0"" encoding=""UTF-8""?><relation><issue_to_id>5678</issue_to_id>

<relation_type>""relates""</relation_type></relation>" 

    $rmFields = [Xml]$xmlStr

    $rmFields.PreserveWhiteSpace = $true

    $content = $rmFields.OuterXML

    # Add content

    $encodedContent = [System.Text.Encoding]::UTF8.GetBytes($content)

    $httpWebRequest.ContentLength = $encodedContent.length

    $requestStream = $httpWebRequest.GetRequestStream()

    $requestStream.Write($encodedContent, 0, $encodedContent.length)

    $requestStream.Close()

    # Send

    $response = [System.Net.HttpWebResponse]$httpWebRequest.GetResponse()

    $responseStream = [System.IO.Stream]$response.GetResponseStream()

    $readStream = New-Object System.IO.StreamReader($responseStream)

    $responseData = $readStream.ReadToEnd()

    return 0

}catch{

   write-host $_.Exception.Message

   return 2

}

 XML Output

<relation>
  <issue_to_id>5678</issue_to_id>

  <relation_type>"relates"</relation_type>

</relation>

 Thanks & best regards,

History

#1 - 2019-01-01 06:52 - Go MAEDA

- Status changed from New to Needs feedback

You may be able to find reasons in production.log. Could you check the log?

#2 - 2019-04-02 17:54 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
